Package serp.bytecode.visitor

# Interface VisitAcceptor

All Known Implementing Classes:
  `Annotation`, `Annotation.Property`, `Annotations`, `ArrayInstruction`, `ArrayLoadInstruction`, `ArrayStoreInstruction`, `Attribute`, `BCClass`, `BCField`, `BCMethod`, `BootstrapMethods`, `ClassEntry`, `ClassInstruction`, `CmpInstruction`, `Code`, `ComplexEntry`, `ConstantInstruction`, `ConstantPool`, `ConstantValue`, `ConvertInstruction`, `Deprecated`, `DoubleEntry`, `Entry`, `ExceptionHandler`, `Exceptions`, `FieldEntry`, `FieldInstruction`, `FloatEntry`, `GetFieldInstruction`, `GotoInstruction`, `IfInstruction`, `IIncInstruction`, `InnerClass`, `InnerClasses`, `Instruction`, `IntEntry`, `InterfaceMethodEntry`, `InvokeDynamicEntry`, `JumpInstruction`, `LineNumber`, `LineNumberTable`, `LoadInstruction`, `LocalTable`, `LocalVariableInstruction`, `LocalVariableTable`, `LocalVariableTypeTable`, `LongEntry`, `LookupSwitchInstruction`, `MathInstruction`, `MethodEntry`, `MethodHandleEntry`, `MethodInstruction`, `MethodTypeEntry`, `MonitorEnterInstruction`, `MonitorExitInstruction`, `MonitorInstruction`, `MultiANewArrayInstruction`, `NameAndTypeEntry`, `NewArrayInstruction`, `Project`, `PutFieldInstruction`, `RetInstruction`, `ReturnInstruction`, `SourceFile`, `StackInstruction`, `StoreInstruction`, `StringEntry`, `SwitchInstruction`, `Synthetic`, `TableSwitchInstruction`, `TypedInstruction`, `UnknownAttribute`, `UTF8Entry`, `WideInstruction`

public interface VisitAcceptor
Interface denoting an entity that can accept a `BCVisitor` and provide its internal state to it. All entities in the bytecode framework implement this interface.

Author:
  Abe White

## Method Summary

Modifier and Type
Method
Description
`void`
`acceptVisit(BCVisitor visitor)`
Accept a visit from a `BCVisitor`, calling the appropriate methods to notify the visitor that it has entered this entity, and to provide it with the proper callbacks for each sub-entity owned by this one.

## Method Details

### acceptVisit

void acceptVisit(BCVisitor visitor)
Accept a visit from a `BCVisitor`, calling the appropriate methods to notify the visitor that it has entered this entity, and to provide it with the proper callbacks for each sub-entity owned by this one.